<?php

session_start(); // avvio sessione
$sessione_id = session_id();
error_reporting (E_ALL ^ E_NOTICE); // comando per non stampare gli errori di tipo notice
set_time_limit(8);
ob_start();

if (get_magic_quotes_gpc()) {
    $process = array(&$_GET, &$_POST, &$_COOKIE, &$_REQUEST);
    while (list($key, $val) = each($process)) {
        foreach ($val as $k => $v) {
            unset($process[$key][$k]);
            if (is_array($v)) {
                $process[$key][stripslashes($k)] = $v;
                $process[] = &$process[$key][stripslashes($k)];
            } else {
                $process[$key][stripslashes($k)] = stripslashes($v);
            }
        }
    }
    unset($process);
}

define("PER", "");
define("CONTAINER", "index");
include(PER."cdat.php");
include(PER."struttura/funzioni.str"); //inclusione file con le funzioni e costanti principali
include(CGEN."config".DTB); // inclusione file di configurazione

$BOXVS = "on"; $BOXVD = "on";

if(strlen(dirname($_SERVER["SCRIPT_NAME"]))>1) { $DirName = dirname($_SERVER["SCRIPT_NAME"])."/"; } else { $DirName = "/"; }
if($_SERVER['HTTPS'] == "on") $sito[2] = "https://".$_SERVER["SERVER_NAME"].$DirName;
else $sito[2] = "http://".$_SERVER["SERVER_NAME"].$DirName;

$CMSVersion = "New-CMS 2.9.8";

if(isset($_GET['mod'])) $_GET['mod'] = Prot($_GET['mod']);
if(isset($_GET['pg']))  $_GET['pg']  = Prot($_GET['pg']);
if(isset($_GET['s']))   $_GET['s']   = Prot($_GET['s']);

if(isset($_GET['lng'])) {  
if(strlen($_GET['lng'])>2) unset($_GET['lng']);
}

if(isset($_GET['C_S'])) { $_SESSION['skin'] = stripslashes(strip_tags($_GET['C_S'])); }

if(function_exists ("date_default_timezone_set")) {
if(isset($LocalTZ) && $LocalTZ!="") date_default_timezone_set($LocalTZ);
else date_default_timezone_set('UTC');
}

$ip = $_SERVER["REMOTE_ADDR"];  // ip utente
$data = strtotime("now");
$ora = date("H");
$giorno = floor(date("d"));
$mese = date("m");
$anno = date("Y");
$user_agent = $_SERVER["HTTP_USER_AGENT"]; //variabile per rilevare navigatore ed S.O.
$mtime = microtime();
$mtime = explode(" ",$mtime);
$mtime = $mtime[1] + $mtime[0];
$starttime = $mtime; 

//rilevamento navigatore utente

if(!isset($_SESSION['browser'])) {
if(stristr($user_agent, "edge")) $_SESSION['browser'] = 6;
elseif(stristr($user_agent, "Chrome")) $_SESSION['browser'] = 3;
elseif(stristr($user_agent, "Opera")||stristr($user_agent, "OPR")) $_SESSION['browser'] = 4;
elseif(stristr($user_agent, "Bot")||stristr($user_agent, "Google")||stristr($user_agent, "Slurp")||stristr($user_agent, "Scooter")||stristr($user_agent, "Spider")||stristr($user_agent, "Infoseek")||stristr($user_agent, "firefly")) $_SESSION['browser'] = 7;
elseif((stristr($user_agent, "Nav")) || (stristr($user_agent, "Gold")) || (stristr($user_agent, "Netscape")) && (!stristr($user_agent, "MSIE"))) $_SESSION['browser'] = 0;
elseif(stristr($user_agent, "MSIE")) $_SESSION['browser'] = 1;
elseif(stristr($user_agent, "Safari")) $_SESSION['browser'] = 5;
elseif(stristr($user_agent, "firefox")) $_SESSION['browser'] = 8;
elseif(stristr($user_agent, "Mozilla")&&!stristr($user_agent, "google")&&!stristr($user_agent, "slurp")) $_SESSION['browser'] = 2;
else $_SESSION['browser'] = 9;
}

//rilevamento S.O. utente

if(!isset($_SESSION['sistema'])) {
if(preg_match('/(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|iris|kindle|lge |maemo|midp|mmp|mobile.+firefox|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows (ce|phone)|xda|xiino/i',$useragent)||preg_match('/1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s\-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|\-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw\-(n|u)|c55\/|capi|ccwa|cdm\-|cell|chtm|cldc|cmd\-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc\-s|devi|dica|dmob|do(c|p)o|ds(12|\-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(\-|_)|g1 u|g560|gene|gf\-5|g\-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd\-(m|p|t)|hei\-|hi(pt|ta)|hp( i|ip)|hs\-c|ht(c(\-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i\-(20|go|ma)|i230|iac( |\-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc\-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|\-[a-w])|libw|lynx|m1\-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m\-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(\-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)\-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|\-([1-8]|c))|phil|pire|pl(ay|uc)|pn\-2|po(ck|rt|se)|prox|psio|pt\-g|qa\-a|qc(07|12|21|32|60|\-[2-7]|i\-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h\-|oo|p\-)|sdk\/|se(c(\-|0|1)|47|mc|nd|ri)|sgh\-|shar|sie(\-|m)|sk\-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h\-|v\-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl\-|tdg\-|tel(i|m)|tim\-|t\-mo|to(pl|sh)|ts(70|m\-|m3|m5)|tx\-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|\-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(\-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas\-|your|zeto|zte\-/i',substr($user_agent,0,4))) 
{ $_SESSION['sistema'] = 5; } // mobile
elseif(preg_match('!(ipad|kindle|tablet|playbook|android|sch-i800|xoom)!',strtolower($user_agent))) $_SESSION['sistema'] = 6; // tablet
elseif(stristr($user_agent, "Ubuntu")||stristr($user_agent, "Kubuntu")) $_SESSION['sistema'] = 8;
elseif(stristr($user_agent, "linux") || stristr($user_agent, "unix")) $_SESSION['sistema'] = 2;
elseif(stristr($user_agent, "Win")) $_SESSION['sistema'] = 0;
elseif(stristr($user_agent, "Mac") || stristr($user_agent, "PPC")) $_SESSION['sistema'] = 1;
elseif(stristr($user_agent, "FreeBSD")) $_SESSION['sistema'] = 3;
elseif(stristr($user_agent, "SunOS")) $_SESSION['sistema'] = 4;
elseif(stristr($user_agent, "OS/2")) $_SESSION['sistema'] = 7;
else $_SESSION['sistema'] = 9;
}

//Connessione automatica (ricorda).

if(empty($_SESSION['login'])&&isset($_COOKIE['remember_cookie'])){
$rm=explode("||",$_COOKIE['remember_cookie']);
if(file_exists(CMBR.strip_tags($rm[0]).DTB)) {
$prefc = lista(CMBR.strip_tags($rm[0]).DTB);
if(isset($prefc[0])&&md5(strip_tags($rm[1]))==md5($prefc[0])) {
$_SESSION['login']=strip_tags($rm[0]);
}
}
}

if(isset($_SESSION['login'])) {  // verifica se connesso
$utente = array();
$utente['nome'] = $_SESSION['login'];
if(file_exists(CMBR.$_SESSION['login'].DTB)===false){
unset($_SESSION['login']);
header("location:index.php");
}
$pref = lista(CMBR.$_SESSION['login'].DTB);
$utente['pass'] = $pref[0];
$utente['mail'] = $pref[1];

/* Registrazione connessione su un cookie - per MiniTchat */

//setcookie("reg_cookie", "",time()-(3600*18),"/",""); //cancello cookie precedente
if(isset($_COOKIE['reg_cookie'])===false) setcookie("reg_cookie", $_SESSION['login'],time()+(3600*18),"/","");  //registro cookie minitchat valido 18 ore

if($_COOKIE['CookieV1']!="M"&&$_SESSION['STAT']!="M") {
$pref[16]++;
$dat=Unisci($pref);
Scrivi(CMBR.$_SESSION['login'].DTB,$dat);
}
}

/* sessione pubblicità */

if(file_exists(CGEN."poppub_C".DTB)) include(CGEN."poppub_C".DTB);
if(($PopPub_4=="2"||$PopPub_4=="4"||$PopPub_4=="5")&&(isset($_SESSION['pub_cookie'])===false||$_SESSION['pub_cookie']<time()))  {
if($PopPub_4=="5") $_SESSION['pub_cookie'] = time() + 60;
elseif($PopPub_4=="2") $_SESSION['pub_cookie'] = time() + 180;
elseif($PopPub_4=="4") $_SESSION['pub_cookie'] = time() + 600;
$cookpub="ok";
} else $cookpub="";

//rilevamento lingua

if(isset($_GET['lng'])) $lng = Prot($_GET['lng']);

if(empty($lng)) {
  if($pref[3]!=""&&in_array($pref[3],$lg)){
  $lng = $pref[3];
  } else {
  $lng = $lg[0];
  }
} 

for($LNG=0;$LNG<count($lg);$LNG++){
if($lng==$lg[$LNG]) { break; }
}

//inclusione variabili lingua

include(CLNG.$lg[$LNG].STR);
@ini_set("default_charset", $CharSet);

if(file_exists(CUPL."info_privacy_".$lg[0].".html")) $IPOP = "OK";
else $IPOP = "";

if (!isset($_SERVER['REQUEST_URI'])) {
  $RICHIESTA_URL = strip_tags($_SERVER['SCRIPT_NAME']."?".$_SERVER['QUERY_STRING']);
} else { $RICHIESTA_URL = strip_tags($_SERVER['REQUEST_URI']); }

// Login automatico redattori
if(isset($_SESSION['login'])) {
if(file_exists(CRD)) {

 $ListRed = Array();
 $ListRed = @lista(CRD);
 $LRED = Array();

  for($i=0;$i<count($ListRed);$i++){
   $LRed = dblin($ListRed[$i]);
   $LRED[] = $LRed[0];

    if(isset($_SESSION['login'])&&$_SESSION['login']==$LRed[0]) { 
     $_SESSION['redattore'] = $ListRed[$i];
    }
  }

}
}

$ListaMembri = ListaFile(CMBR,"d");
$ListaMembri = Alpha_sort($ListaMembri);
$TotaleMembri = count($ListaMembri);

/* Presenze online */

$tsf=0; $DB_F=""; $regdbf = 0;
$ft = @filemtime(CSTA."ora_online".DTB);
$DBF = Array(); $DBF1 = Array(); $DB_IP = Array(); $DB_UT = Array();
$DBF = @lista(CSTA."ora_online".DTB); $lutente = "";

for ($s=0; $s<count($DBF); $s++) {
$esp = @dblin($DBF[$s]);
if($esp[0]=="vis"||in_array($esp[0],$DB_UT)==false) {
if(!empty($utente['nome'])) {
if($esp[0]==$utente['nome']) {
if(($data-$esp[4])<450){
$DBF1[$s] = $utente['nome']."<~>".$ip."<~>".$_SESSION['sistema']."<~>".$_SESSION['browser']."<~>".$data."<~>"; $regdbf = 1; $DB_UT[] = $utente['nome'];
}
}
elseif (($data-$esp[4])<450) { 
$DBF1[$s] = $DBF[$s]; 
if($esp[0]!="vis") $DB_UT[] = $esp[0]; 
else $DB_IP[] = $esp[1];
}
} else {
if ($esp[1]==$ip&&$regdbf==0) {
if(($data-$esp[4])<450){
$DBF1[$s] = "vis<~>".$ip."<~>".$_SESSION['sistema']."<~>".$_SESSION['browser']."<~>".$data."<~>"; $regdbf = 1; $DB_IP[] = $esp[1];
}
}
elseif (($data-$esp[4])<450) { 
$DBF1[$s] = $DBF[$s]; 
if($esp[0]!="vis") $DB_UT[] = $esp[0]; 
else $DB_IP[] = $esp[1];
}
}
}
}

if($regdbf == 0 || count($DBF) == 0) {
if(!empty($utente['nome'])) { 
if(in_array($utente['nome'],$DB_UT)==false) $DBF1[] = $utente['nome']."<~>".$ip."<~>".$_SESSION['sistema']."<~>".$_SESSION['browser']."<~>".$data."<~>"; $m=1;
} else { 
if(in_array($ip,$DB_IP)==false) $DBF1[] = "vis<~>".$ip."<~>".$_SESSION['sistema']."<~>".$_SESSION['browser']."<~>".$data."<~>"; $v=1;}
}

$DB = Unisci($DBF1);
Scrivi(CSTA."ora_online".DTB,$DB);

/* STATISTICHE */

if($sito[8]=="on") { // misura totale visite se statistiche disattivate

if(file_exists(CSTA."tot".DTB)===false) { if(Scrivi(CSTA."tot".DTB,"1|1|1")) { }  }

$file_st = fopen(CSTA."tot".DTB, "r+");

flock($file_st,LOCK_EX);
$DB_chop = chop(CSTA."tot".DTB);
$DBFS = TogliTab(file($DB_chop));

$TOT = $DBFS;

rewind($file_st);
ftruncate($file_st, 0);

$totali=Array();
$totali = explode("|",$TOT[0]);

if(($regdbf==0||count($DBF)==0)&&isset($_COOKIE['CookieV1'])===false&&isset($_SESSION['STAT'])===false){
  @$totali[0]=$totali[0]+1;
  $TCookieV1 = ((24-$ora)*3600)-(floor(date("i"))*60)-57;
  setcookie("CookieV1", "V", time() + $TCookieV1, "/", "");
  $_SESSION['STAT']="V";
}
if(($regdbf==0||count($DBF)==0)&&$_COOKIE['CookieV1']!="M"&&$_SESSION['STAT']!="M"&&$_SESSION['login']){
  @$totali[1]=$totali[1]+1;
  $TCookieV2 = ((24-$ora)*3600)-(floor(date("i"))*60)-57;
  setcookie("CookieV1", "M", time() + $TCookieV2, "/", "");
  $_SESSION['STAT']="M";
}
if(strpos($RICHIESTA_URL, "connessione")===false) $totali[2]=$totali[2]+1;

@$totv=0+$totali[0];

$totale=implode("|",$totali);

if(test_fwrite()) fwrite($file_st, $totale);    //Write the new Hit Count
flock($file_st, LOCK_UN);
fclose($file_st);
@chmod(CSTA."tot".DTB,0666);
// fine misura totale visite se statistiche disattivate

} else { // Se statistiche abilitate

$s_sg = "";
if(($data-@filemtime(CSTA.$giorno.DTB))>(3600*25)) {
$grn[0]= 0;
$grn[1]= 0;
$grn[2]= 0;
$grn[3]= "|||||||||||||||||||||||||";
$grn[4]= $grn[3];
$s_sg = "ok";
} else { 
$grn = @lista(CSTA.$giorno.DTB);
$grnb = @lista(CSTA."Gbuck".DTB);
if($grn[0]<$grnb[0]) $grn = lista(CSTA."Gbuck".DTB);
}

if(file_exists(CSTA.$anno.DTB)===false) {
for($i=0;$i<12;$i++){
$dbmese[$i] = "||";
}
} else { $dbmese = lista(CSTA.$anno.DTB); }

$tmes = explode("|", $dbmese[date("n")-1]);

$h=explode("|",$grn[3]);
$hm = array();
$hm = explode(":", $h[date("G")]);
$bsl=explode("|",$grn[4]);

if(file_exists(CSTA."tot".DTB)===false) { if(Scrivi(CSTA."tot".DTB,"1|1|1")) { }  }

$file_st = fopen(CSTA."tot".DTB, "r+");

flock($file_st,LOCK_EX);
$DB_chop = chop(CSTA."tot".DTB);
$DBFS = TogliTab(file($DB_chop));

$TOT = $DBFS;

rewind($file_st);
ftruncate($file_st, 0);    

$totali=Array(); 
$totali = explode("|",$TOT[0]);

@$vis0 = 0 + $grn[0];
@$vis1 = 0 + $grn[1];
@$vis2 = 0 + $grn[2];

if(($regdbf==0||count($DBF)==0)&&isset($_COOKIE['CookieV1'])===false&&isset($_SESSION['STAT'])===false){
  @$totali[0]=$totali[0]+1;
  @$grn[0]=$vis0+1;
  @$tmes[0]=$tmes[0]+1;
  @$hm[0]=$hm[0]+1;
  $bsl[$_SESSION['browser']]++;
  $bsl[10+$_SESSION['sistema']]++;
  $TCookieV1 = ((24-$ora)*3600)-(floor(date("i"))*60)-57;
  setcookie("CookieV1", "V", time() + $TCookieV1, "/", "");
  $_SESSION['STAT']="V";
}
if(($regdbf==0||count($DBF)==0)&&$_COOKIE['CookieV1']!="M"&&$_SESSION['STAT']!="M"&&$_SESSION['login']){
  $totali[1]=$totali[1]+1;
  @$grn[2]=$vis2+1;
  @$tmes[2]=$tmes[2]+1;
  @$hm[2]=$hm[2]+1;
  if($hm[2]>$hm[0]) $hm[2] = $hm[0];
  if($grn[2]>$grn[0]) $grn[2] = $grn[0];
  if($tmes[2]>$tmes[0]) $tmes[2] = $tmes[0];
  $TCookieV2 = ((24-$ora)*3600)-(floor(date("i"))*60)-57;
  setcookie("CookieV1", "M", time() + $TCookieV2, "/", "");
  $_SESSION['STAT']="M";
}

$grn[1]=$vis1;
$totgr = $grn[0];

if(strpos($RICHIESTA_URL, "connessione")===false) {
$totali[2]=$totali[2]+1;
@$hm[1]=$hm[1]+1;
@$grn[1]=$vis1+1;
@$tmes[1]=$tmes[1]+1;
if(count($lg)>1) $bsl[20+$LNG]++;
}

@$totv=0+$totali[0];
@$totm=0+$totali[1];
@$totp=0+$totali[2];
 

$totale=implode("|",$totali);

if(test_fwrite()) fputs($file_st, $totale);    //Write the new Hit Count
flock($file_st, LOCK_UN);
fclose($file_st);
@chmod(CSTA."tot".DTB,0666);

$dbmese[date("n")-1] = implode("|",$tmes);
Scrivi(CSTA.$anno.DTB,Unisci($dbmese));

$h[date("G")]=implode(":",$hm);
$grn[3]=implode("|",$h);

$grn[4]=implode("|",$bsl);

for($i=5;$i<count($grn);$i++){
$s_m = explode("|",$grn[$i]);
$stat_mod[$s_m[0]] = $s_m[1];
}

if(isset($_GET['mod'])) { 
if(isset($stat_mod[$_GET['mod']])===false) $stat_mod[$_GET['mod']] = 0;
$stat_mod[$_GET['mod']]=$stat_mod[$_GET['mod']]+1; }

$rWX = rand(0,12);
if($rWX==10) {
if(isset($_GET['s'])===false||$_GET['s']!="stat") {
$S0 = 0; $S1 = 0; $S2 = 0;
$ListAN = ListaFile(CSTA,"d");
for($i=0;$i<count($ListAN);$i++){
$DBlan = explode(".",$ListAN[$i]);
if(strlen($DBlan[0])==4&&is_numeric($DBlan[0])) {
$dblan = lista(CSTA.$ListAN[$i]);
for($s=0;$s<count($dblan);$s++) {
$SAN = explode("|",$dblan[$s]);
  @$S0 = $S0 + $SAN[0];
  @$S1 = $S1 + $SAN[1];
  @$S2 = $S2 + $SAN[2];
  }
 }
}
if($S0>$totv){
Scrivi(CSTA."tot".DTB,$S0."|".$S2."|".$S1);
}

}
}

} // Se statistiche abilitate fine

if(!isset($_GET['pg'])) {
$_GET['pg']="home"; //  default=home
$stat_mod['home']=$stat_mod['home']+1;
}

if($sito[8]!="on") { /* Scrittura statistiche se abilitate */
$dbsp = @lista(CSTA."config".DTB);
$DBsp = dblin($dbsp[0]);
$grn[5] = "home|".$stat_mod['home'];
for($i=0;$i<count($DBsp);$i++){
if($DBsp[$i]) $grn[6+$i] = $DBsp[$i]."|".$stat_mod[$DBsp[$i]];
}
$DB = Unisci($grn);
if(Scrivi(CSTA.$giorno.DTB,$DB)){  //Scrittura statistiche giornaliere
$rW = rand(0,5);
if($rW==3||$s_sg=="ok") Scrivi(CSTA."Gbuck".DTB,$DB);
}

} // fine scrittura statistiche

/* Inclusione della pagina richiesta */

if(isset($_GET['mod'])&&isset($DM[$_GET['mod']])&&$DM[$_GET['mod']]=="on") { //Pagina disattivata
unset($_GET['mod']); $_GET['pg']="errore"; 
}

if($man[0]=="on"&&isset($_SESSION['logadmin'])===false) {  // se il sito è in lavorazione
$_GET['pg']="manutenzione";
if(isset($_GET['mod'])) { unset($_GET['mod']); }
} // fine se il sito è in lavorazione

if(isset($_GET['mod'])) {
include(CMOD.$_GET['mod']."/".$_GET['pg'].PHP);
} else {
if($_GET['pg']=="admin"){
if(isset($_GET['s'])){
include(CADM.$_GET['s'].PHP);
} else {
include(CADM."admin".PHP);
}
} else {
if(file_exists(CSTR.$_GET['pg'].PHP)) include(CSTR.$_GET['pg'].PHP);
}
}
?>
